﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RTFConvertor
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        private const string defaultRtf = @"{\rtf1\ansi\ansicpg1252\uc1\htmautsp\deff2{\fonttbl{\f0\fcharset0 Times New Roman;}{\f2\fcharset0 Tahoma;}}{\colortbl\red0\green0\blue0;\red255\green255\blue255;}\loch\hich\dbch\pard\plain\ltrpar\itap0{\lang1033\fs24\f2\cf0 \cf0\ql{\f2 {\b\i\ul\ltrch  }{\lang2052\b\i\ltrch Entry Text}\li0\ri0\sa0\sb0\fi0\ql\par}
}
}";

        public Window1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            richTextBox1.LoadFromRTF(defaultRtf);

            richTextBox1.SelectAll();
            richTextBox1.Selection.ApplyPropertyValue(Inline.TextDecorationsProperty, TextDecorations.Underline);
            System.Drawing.FontStyle style = richTextBox1.DrawingFontStyle();
            MessageBox.Show(style.ToString());     // <-- result: Underline

            string rtf = richTextBox1.RTF();
            richTextBox1.LoadFromRTF(rtf);
            richTextBox1.SelectAll();
            style = richTextBox1.DrawingFontStyle();
            MessageBox.Show(style.ToString());    // <--  result: Regular    
        }
    }
}
